<%@ Page Language="C#" %>
<%@ Register Assembly="StyledAutoCompleteExtender" Namespace="Jeffz.Web" TagPrefix="jeffz" %>
    
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
		.completionListElement 
		{  
			visibility : hidden;
			margin : 0px!important;
			background-color : inherit;
			color : windowtext;
			border : buttonshadow;
			border-width : 1px;
			border-style : solid;
			cursor : pointer;
			overflow : auto;
			text-align : left; 
			list-style-type : none;
			font-family : Verdana;
			font-size: 11px;
			padding : 0;
		}
		.listItem 
		{
			background-color: white;
			padding : 1px;
		}		
		.highlightedListItem
		{
			background-color: #e9f5f7;
			padding : 1px;
		}
	</style>
</head>
<body>
    <form id="form1" runat="server">
		<asp:ScriptManager ID="ScriptManager1" runat="server">
		</asp:ScriptManager>
    
		<asp:TextBox runat="server" ID="myTextBox" Width="500"
			style="height:14px; border: solid 1px gray; font-family:Verdana; font-size: 11px;" />
        
        <jeffz:StyledAutoCompleteExtender
            runat="server" 
            BehaviorID="AutoCompleteEx"
            ID="autoComplete1" 
            TargetControlID="myTextBox"
            ServicePath="AutoComplete.asmx" 
            ServiceMethod="GetEmailCompletionList"
            MinimumPrefixLength="2" 
            CompletionInterval="1000"
            EnableCaching="true"
            CompletionSetCount="10"
            CompletionListCssClass="completionListElement" 
            CompletionListItemCssClass="listItem" 
            CompletionListHighlightedItemCssClass="highlightedListItem"
            DelimiterCharacters=",;">
            <ItemTemplate>{1}</ItemTemplate>
		</jeffz:StyledAutoCompleteExtender>
    </form>
</body>
</html>